include(data/items.m4h)

#{{{ GENERATEITEM
BEGIN_JUMPTAB(GENERATEITEM, jt_dungeonlevel)
#         Item                      Freq  Level range
  JTENTRY(GENERATE_ARMOR,           20,   range(255,1))
  JTENTRY(GENERATE_POTION,          16,   range(255,1))
  JTENTRY(GENERATE_WEAPON,          14,   range(255,1))
  JTENTRY(GENERATE_SCROLL,          11,   range(255,1))
  JTENTRY(GENERATE_FOOD,            8,    range(255,1))
  JTENTRY(GENERATE_AMMO,            9,    range(255,1))
  JTENTRY(GENERATE_BOOK,            5,    range(255,1))
  JTENTRY(GENERATE_WAND,            4,    range(255,1))
  JTENTRY(GENERATE_VALUABLE_GEM,    3,    range(255,1))
  JTENTRY(GENERATE_WORTHLESS_GEM,   2,    range(255,1))
  JTENTRY(GENERATE_RING,            8,    range(255,1))
END_JUMPTAB()
#}}}
#{{{ GENERATE_WAND
BEGIN_JUMPTAB(GENERATE_WAND, jt_dungeonlevel)
#         Item                      Freq  Level range
  JTENTRY(ITYPE_WAND_NOTHING,       1,    range(255,1))
  JTENTRY(ITYPE_WAND_LIGHT,         2,    range(255,1))
  JTENTRY(ITYPE_WAND_DETECT,        2,    range(255,1))
  JTENTRY(ITYPE_WAND_DIGGING,       2,    range(255,2))
  JTENTRY(ITYPE_WAND_STRIKING,      3,    range(255,2))
END_JUMPTAB()
#}}}
#{{{ GENERATE_POTION
BEGIN_JUMPTAB(GENERATE_POTION, jt_dungeonlevel)
#         Item                      Freq  Level range
  JTENTRY(ITYPE_POTION_HEAL,        7,    range(255,1))
  JTENTRY(ITYPE_POTION_EXTRAHEAL,   4,    range(255,1))
  JTENTRY(ITYPE_POTION_FULLHEAL,    3,    range(255,1))
  JTENTRY(ITYPE_POTION_SICKNESS,    3,    range(255,1))
  JTENTRY(ITYPE_POTION_HALLU,       3,    range(255,1))
  JTENTRY(ITYPE_POTION_CONF,        3,    range(255,1))
  JTENTRY(ITYPE_POTION_OBJDETECT,   4,    range(255,1))
  JTENTRY(ITYPE_POTION_GAINST,      1,    range(255,1))
  JTENTRY(ITYPE_POTION_GAINDX,      1,    range(255,1))
  JTENTRY(ITYPE_POTION_GAINTO,      1,    range(255,1))
  JTENTRY(ITYPE_POTION_GAINMN,      1,    range(255,1))
  JTENTRY(ITYPE_POTION_GAINWI,      1,    range(255,1))
END_JUMPTAB()
#}}}
#{{{ GENERATE_SCROLL
BEGIN_JUMPTAB(GENERATE_SCROLL, jt_dungeonlevel)
#         Item                      Freq  Level range
  JTENTRY(ITYPE_SCROLL_BLANK,       1,    range(255,1))
  JTENTRY(ITYPE_SCROLL_MAGICMAP,    2,    range(255,1))
  JTENTRY(ITYPE_SCROLL_TELEPORT,    4,    range(255,1))
  JTENTRY(ITYPE_SCROLL_IDENTIFY,    4,    range(255,1))
  JTENTRY(ITYPE_SCROLL_UNCURSE,     4,    range(255,1))
END_JUMPTAB()
#}}}
#{{{ GENERATE_FOOD
BEGIN_JUMPTAB(GENERATE_FOOD, jt_dungeonlevel)
#         Item                      Freq  Level range
  JTENTRY(ITYPE_FOOD_RATION,        1,    range(255,1))
END_JUMPTAB()
#}}}
#{{{ GENERATE_VALUABLE_GEM
BEGIN_JUMPTAB(GENERATE_VALUABLE_GEM, jt_dungeonlevel)
#         Item                      Freq  Level range
  JTENTRY(ITYPE_GEM_DILITHIUM,      1,    range(255,20))
  JTENTRY(ITYPE_GEM_DIAMOND,        1,    range(255,19))
  JTENTRY(ITYPE_GEM_RUBY,           1,    range(255,18))
  JTENTRY(ITYPE_GEM_JACINTH,        1,    range(255,17))
  JTENTRY(ITYPE_GEM_SAPPHIRE,       1,    range(255,16))
  JTENTRY(ITYPE_GEM_BLACKOPAL,      1,    range(255,15))
  JTENTRY(ITYPE_GEM_EMERALD,        1,    range(255,14))
  JTENTRY(ITYPE_GEM_TURQUOISE,      1,    range(255,13))
  JTENTRY(ITYPE_GEM_AQUAMARINE,     1,    range(255,12))
  JTENTRY(ITYPE_GEM_CITRINE,        1,    range(255,11))
  JTENTRY(ITYPE_GEM_AMBER,          1,    range(255,10))
  JTENTRY(ITYPE_GEM_TOPAZ,          1,    range(255,9))
  JTENTRY(ITYPE_GEM_JET,            1,    range(255,8))
  JTENTRY(ITYPE_GEM_OPAL,           1,    range(255,7))
  JTENTRY(ITYPE_GEM_CHRYSOBERYL,    1,    range(255,6))
  JTENTRY(ITYPE_GEM_GARNET,         1,    range(255,5))
  JTENTRY(ITYPE_GEM_AMETHYST,       1,    range(255,4))
  JTENTRY(ITYPE_GEM_JASPER,         1,    range(255,3))
  JTENTRY(ITYPE_GEM_FLUORITE,       1,    range(255,2))
  JTENTRY(ITYPE_GEM_JADE,           1,    range(255,1))
  JTENTRY(ITYPE_GEM_AGATE,          1,    range(255,1))
  JTENTRY(ITYPE_GEM_OBSIDIAN,       1,    range(255,1))
END_JUMPTAB()
#}}}
#{{{ GENERATE_WORTHLESS_GEM
BEGIN_JUMPTAB(GENERATE_WORTHLESS_GEM, jt_dungeonlevel)
#         Item                      Freq  Level range
  JTENTRY(ITYPE_GEM_WHITEGLASS,     1,    range(255,1))
  JTENTRY(ITYPE_GEM_REDGLASS,       1,    range(255,1))
  JTENTRY(ITYPE_GEM_ORANGEGLASS,    1,    range(255,1))
  JTENTRY(ITYPE_GEM_BLUEGLASS,      1,    range(255,1))
  JTENTRY(ITYPE_GEM_BLACKGLASS,     1,    range(255,1))
  JTENTRY(ITYPE_GEM_GREENGLASS,     1,    range(255,1))
  JTENTRY(ITYPE_GEM_YELLOWGLASS,    1,    range(255,1))
  JTENTRY(ITYPE_GEM_VIOLETGLASS,    1,    range(255,1))
END_JUMPTAB()
#}}}
#{{{ GENERATE_WEAPON
BEGIN_JUMPTAB(GENERATE_WEAPON, jt_dungeonlevel)
#         Item                      Freq  Level range
  JTENTRY(ITYPE_WEAPON_BOW,         4,    range(255,1))
  JTENTRY(ITYPE_WEAPON_CROSSBOW,    3,    range(255,1))
  JTENTRY(ITYPE_WEAPON_CLUB,        3,    range(255,1))
  JTENTRY(ITYPE_WEAPON_DAGGER,      3,    range(255,1))
  JTENTRY(ITYPE_WEAPON_STAFF,       3,    range(255,1))
  JTENTRY(ITYPE_WEAPON_MACE,        2,    range(255,1))
  JTENTRY(ITYPE_WEAPON_AXE,         2,    range(255,1))
  JTENTRY(ITYPE_WEAPON_SWORD,       1,    range(255,1))
END_JUMPTAB()
#}}}
#{{{ GENERATE_AMMO
BEGIN_JUMPTAB(GENERATE_AMMO, jt_dungeonlevel)
#         Item                      Freq  Level range
  JTENTRY(ITYPE_AMMO_ARROW,         3,    range(255,1))
  JTENTRY(ITYPE_AMMO_BOLT,          2,    range(255,1))
END_JUMPTAB()
#}}}
#{{{ GENERATE_ARMOR
BEGIN_JUMPTAB(GENERATE_ARMOR, jt_dungeonlevel)
#         Item                      Freq  Level range
  JTENTRY(ITYPE_ARMR_LEATHER,       8,    range(255,1))
  JTENTRY(ITYPE_ARMR_CHAIN,         4,    range(255,1))
  JTENTRY(ITYPE_ARMR_RING,          4,    range(255,2))
  JTENTRY(ITYPE_ARMR_PLATE,         2,    range(255,3))
  JTENTRY(ITYPE_ARMR_CLOAK,         5,    range(255,1))
  JTENTRY(ITYPE_ARMR_CAP,           5,    range(255,1))
  JTENTRY(ITYPE_ARMR_IRONHELM,      3,    range(255,1))
  JTENTRY(ITYPE_ARMR_SMSHIELD,      6,    range(255,1))
  JTENTRY(ITYPE_ARMR_MDSHIELD,      4,    range(255,1))
  JTENTRY(ITYPE_ARMR_LGSHIELD,      2,    range(255,1))
  JTENTRY(ITYPE_ARMR_GLOVES,        5,    range(255,1))
  JTENTRY(ITYPE_ARMR_GAUNTLETS,     2,    range(255,1))
  JTENTRY(ITYPE_ARMR_BOOTS,         5,    range(255,1))
  JTENTRY(ITYPE_ARMR_SPEEDBOOTS,    1,    range(255,5))
END_JUMPTAB()
#}}}
#{{{ GENERATE_RING
BEGIN_JUMPTAB(GENERATE_RING, jt_dungeonlevel)
#         Item                      Freq  Level range
  JTENTRY(ITYPE_RING_STRENGTH,      1,    range(255,2))
  JTENTRY(ITYPE_RING_DEXTERITY,     1,    range(255,3))
  JTENTRY(ITYPE_RING_TOUGHNESS,     1,    range(255,3))
  JTENTRY(ITYPE_RING_WILLPOWER,     1,    range(255,1))
  JTENTRY(ITYPE_RING_MANA,          1,    range(255,1))
  JTENTRY(ITYPE_RING_PROTECTION,    1,    range(255,1))
  JTENTRY(ITYPE_RING_ILLUMINATION,  2,    range(255,1))
  JTENTRY(ITYPE_RING_REGENERATION,  1,    range(255,3))
  JTENTRY(ITYPE_RING_DAMAGE,        1,    range(255,4))
END_JUMPTAB()
#}}}

define(numItems, 0)
divert(SEQUENCE_ITEMS)
export ITEMSTABLE

# First entry in the table looks like NULL. Workaround until it's properly fixed.
BEGIN_SHUFFLETAB(WORKAROUND)
  STENTRYSTRING("")
END_SHUFFLETAB()

BEGIN_SHUFFLETAB(WANDNAMES)
  STENTRYSTRING("short wand")
  STENTRYSTRING("long wand")
  STENTRYSTRING("metal wand")
  STENTRYSTRING("glass wand")
  STENTRYSTRING("copper wand")
END_SHUFFLETAB()

BEGIN_SHUFFLETAB(POTIONNAMES)
  STENTRYSTRING("green potion")
  STENTRYSTRING("white potion")
  STENTRYSTRING("glowing potion")
  STENTRYSTRING("brown potion")
  STENTRYSTRING("yellow potion")
  STENTRYSTRING("smoky potion")
  STENTRYSTRING("cloudy potion")
  STENTRYSTRING("thick potion")
  STENTRYSTRING("swirly potion")
  STENTRYSTRING("black potion")
  STENTRYSTRING("blue potion")
  STENTRYSTRING("orange potion")
END_SHUFFLETAB()

BEGIN_SHUFFLETAB(SCROLLNAMES)
  STENTRYSTRING("crumpled scroll")
  STENTRYSTRING("scribbled scroll")
  STENTRYSTRING("shimmering scroll")
  STENTRYSTRING("stained scroll")
END_SHUFFLETAB()

BEGIN_SHUFFLETAB(RINGNAMES)
  STENTRYSTRING("stone ring")
  STENTRYSTRING("iron ring")
  STENTRYSTRING("wooden ring")
  STENTRYSTRING("ruby ring")
  STENTRYSTRING("sapphire ring")
  STENTRYSTRING("gold ring")
  STENTRYSTRING("diamond ring")
  STENTRYSTRING("steel ring")
  STENTRYSTRING("bone ring")
END_SHUFFLETAB()


########################################################################################################################################################################################
MISC(  "0", NONE0,               NULL,                                       NULL,                                  1,     2,  1,   0                                                              )
########################################################################################################################################################################################
## Magic                                                                                                                                                                              ##
########################################################################################################################################################################################
## Magical items differ from other item types in that the game logic understands must                                                                                                 ##
## recognize them for them to work, so each magical item type has a numerical identifier                                                                                              ##
## shared between this data and code.                                                                                                                                                 ##
##      C   Identifier           Name                                        UnID Name                              Flags                 Stack  Weight Category  Flag                ##
MAGIC( </>, WAND_NOTHING,        `String("wand of nothing")',                WANDNAMES_1,                           FLAGS_WAND,           20,    4,     CAT_WAND, 0                    )
MAGIC( </>, WAND_STRIKING,       `String("wand of striking")',               WANDNAMES_2,                           FLAGS_WAND,           20,    4,     CAT_WAND, 0                    )
MAGIC( </>, WAND_DIGGING,        `String("wand of digging")',                WANDNAMES_3,                           FLAGS_WAND,           20,    4,     CAT_WAND, 0                    )
MAGIC( </>, WAND_LIGHT,          `String("wand of light")',                  WANDNAMES_4,                           FLAGS_WAND,           20,    4,     CAT_WAND, 0                    )
MAGIC( </>, WAND_DETECT,         `String("wand of detection")',              WANDNAMES_5,                           FLAGS_WAND,           20,    4,     CAT_WAND, 0                    )
##------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------##
MAGIC( <!>, POTION_HEAL,         `String("potion of healing")',              POTIONNAMES_1,                         FLAGS_POTION,         1,     6,     CAT_POTN, DISAPPEAR            )
MAGIC( <!>, POTION_EXTRAHEAL,    `String("potion of extra healing")',        POTIONNAMES_2,                         FLAGS_POTION,         1,     6,     CAT_POTN, DISAPPEAR            )
MAGIC( <!>, POTION_FULLHEAL,     `String("potion of full healing")',         POTIONNAMES_3,                         FLAGS_POTION,         1,     6,     CAT_POTN, DISAPPEAR            )
MAGIC( <!>, POTION_SICKNESS,     `String("potion of sickness")',             POTIONNAMES_4,                         FLAGS_POTION,         1,     6,     CAT_POTN, DISAPPEAR            )
MAGIC( <!>, POTION_HALLU,        `String("potion of hallucination")',        POTIONNAMES_5,                         FLAGS_POTION,         1,     6,     CAT_POTN, DISAPPEAR            )
MAGIC( <!>, POTION_CONF,         `String("potion of confusion")',            POTIONNAMES_6,                         FLAGS_POTION,         1,     6,     CAT_POTN, DISAPPEAR            )
MAGIC( <!>, POTION_OBJDETECT,    `String("potion of object detection")',     POTIONNAMES_7,                         FLAGS_POTION,         1,     6,     CAT_POTN, DISAPPEAR            )
MAGIC( <!>, POTION_GAINST,       `String("potion of gain strength")',        POTIONNAMES_8,                         FLAGS_POTION,         1,     6,     CAT_POTN, DISAPPEAR            )
MAGIC( <!>, POTION_GAINDX,       `String("potion of gain dexterity")',       POTIONNAMES_9,                         FLAGS_POTION,         1,     6,     CAT_POTN, DISAPPEAR            )
MAGIC( <!>, POTION_GAINTO,       `String("potion of gain toughness")',       POTIONNAMES_10,                        FLAGS_POTION,         1,     6,     CAT_POTN, DISAPPEAR            )
MAGIC( <!>, POTION_GAINMN,       `String("potion of gain mana")',            POTIONNAMES_11,                        FLAGS_POTION,         1,     6,     CAT_POTN, DISAPPEAR            )
MAGIC( <!>, POTION_GAINWI,       `String("potion of gain willpower")',       POTIONNAMES_12,                        FLAGS_POTION,         1,     6,     CAT_POTN, DISAPPEAR            )
##------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------##
MAGIC( <?>, SCROLL_BLANK,        `String("scroll of blank paper")',          `String("unlabelled scroll")',         FLAGS_SCROLL,         1,     4,     CAT_SCRL, DISAPPEAR            )
MAGIC( <?>, SCROLL_MAGICMAP,     `String("scroll of magic mapping")',        SCROLLNAMES_1,                         FLAGS_SCROLL,         1,     4,     CAT_SCRL, DISAPPEAR            )
MAGIC( <?>, SCROLL_TELEPORT,     `String("scroll of teleportation")',        SCROLLNAMES_2,                         FLAGS_SCROLL,         1,     4,     CAT_SCRL, DISAPPEAR            )
MAGIC( <?>, SCROLL_IDENTIFY,     `String("scroll of identify")',             SCROLLNAMES_3,                         FLAGS_SCROLL,         1,     4,     CAT_SCRL, DISAPPEAR            )
MAGIC( <?>, SCROLL_UNCURSE,      `String("scroll of remove curse")',         SCROLLNAMES_4,                         FLAGS_SCROLL,         1,     4,     CAT_SCRL, DISAPPEAR            )
##------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------##
MAGIC( <%>, FOOD_RATION,         `String("food ration")',                    NULL,                                  eval(STACK+AUTOID),   1,     15,    CAT_FOOD, DISAPPEAR            )
########################################################################################################################################################################################
## Misc                                                                                                                                                          ##
###################################################################################################################################################################
## Useless items that cannot be equipped, used, or invoked in any way (but might be valuable)                                                                    ##
##                                                                                                                                                               ##
##      C   Identifier        Name                                         UnID Name                          Flags          Stack  Weight Category              ##
MISC(  <*>, GEM_DILITHIUM,    `String("dilithium crystal")',               `String("white gem")',             FLAGS_GEM,     1,     5,     CAT_GEM                )
MISC(  <*>, GEM_DIAMOND,      `String("diamond")',                         `String("white gem")',             FLAGS_GEM,     1,     5,     CAT_GEM                )
MISC(  <*>, GEM_RUBY,         `String("ruby")',                            `String("red gem")',               FLAGS_GEM,     1,     5,     CAT_GEM                )
MISC(  <*>, GEM_JACINTH,      `String("jacinth stone")',                   `String("orange gem")',            FLAGS_GEM,     1,     5,     CAT_GEM                )
MISC(  <*>, GEM_SAPPHIRE,     `String("sapphire")',                        `String("blue gem")',              FLAGS_GEM,     1,     5,     CAT_GEM                )
MISC(  <*>, GEM_BLACKOPAL,    `String("black opal")',                      `String("black gem")',             FLAGS_GEM,     1,     5,     CAT_GEM                )
MISC(  <*>, GEM_EMERALD,      `String("emerald")',                         `String("green gem")',             FLAGS_GEM,     1,     5,     CAT_GEM                )
MISC(  <*>, GEM_TURQUOISE,    `String("turquoise stone")',                 `String("blue gem")',              FLAGS_GEM,     1,     5,     CAT_GEM                )
MISC(  <*>, GEM_AQUAMARINE,   `String("aquamarine stone")',                `String("blue gem")',              FLAGS_GEM,     1,     5,     CAT_GEM                )
MISC(  <*>, GEM_CITRINE,      `String("citrine stone")',                   `String("yellow gem")',            FLAGS_GEM,     1,     5,     CAT_GEM                )
MISC(  <*>, GEM_AMBER,        `String("amber stone")',                     `String("yellowish brown gem")',   FLAGS_GEM,     1,     5,     CAT_GEM                )
MISC(  <*>, GEM_TOPAZ,        `String("topaz stone")',                     `String("yellowish brown gem")',   FLAGS_GEM,     1,     5,     CAT_GEM                )
MISC(  <*>, GEM_JET,          `String("jet stone")',                       `String("black gem")',             FLAGS_GEM,     1,     5,     CAT_GEM                )
MISC(  <*>, GEM_OPAL,         `String("opal")',                            `String("white gem")',             FLAGS_GEM,     1,     5,     CAT_GEM                )
MISC(  <*>, GEM_CHRYSOBERYL,  `String("chrysoberyl stone")',               `String("yellow gem")',            FLAGS_GEM,     1,     5,     CAT_GEM                )
MISC(  <*>, GEM_GARNET,       `String("garnet stone")',                    `String("red gem")',               FLAGS_GEM,     1,     5,     CAT_GEM                )
MISC(  <*>, GEM_AMETHYST,     `String("amethyst stone")',                  `String("violet gem")',            FLAGS_GEM,     1,     5,     CAT_GEM                )
MISC(  <*>, GEM_JASPER,       `String("jasper stone")',                    `String("red gem")',               FLAGS_GEM,     1,     5,     CAT_GEM                )
MISC(  <*>, GEM_FLUORITE,     `String("fluorite stone")',                  `String("green gem")',             FLAGS_GEM,     1,     5,     CAT_GEM                )
MISC(  <*>, GEM_JADE,         `String("jade stone")',                      `String("green gem")',             FLAGS_GEM,     1,     5,     CAT_GEM                )
MISC(  <*>, GEM_AGATE,        `String("agate stone")',                     `String("orange gem")',            FLAGS_GEM,     1,     5,     CAT_GEM                )
MISC(  <*>, GEM_OBSIDIAN,     `String("obsidian stone")',                  `String("black gem")',             FLAGS_GEM,     1,     5,     CAT_GEM                )
MISC(  <*>, GEM_WHITEGLASS,   `String("worthless piece of white glass")',  `String("white gem")',             FLAGS_GEM,     1,     5,     CAT_GEM                )
MISC(  <*>, GEM_REDGLASS,     `String("worthless piece of red glass")',    `String("red gem")',               FLAGS_GEM,     1,     5,     CAT_GEM                )
MISC(  <*>, GEM_ORANGEGLASS,  `String("worthless piece of orange glass")', `String("orange gem")',            FLAGS_GEM,     1,     5,     CAT_GEM                )
MISC(  <*>, GEM_BLUEGLASS,    `String("worthless piece of blue glass")',   `String("blue gem")',              FLAGS_GEM,     1,     5,     CAT_GEM                )
MISC(  <*>, GEM_BLACKGLASS,   `String("worthless piece of black glass")',  `String("black gem")',             FLAGS_GEM,     1,     5,     CAT_GEM                )
MISC(  <*>, GEM_GREENGLASS,   `String("worthless piece of green glass")',  `String("green gem")',             FLAGS_GEM,     1,     5,     CAT_GEM                )
MISC(  <*>, GEM_YELLOWGLASS,  `String("worthless piece of yellow glass")', `String("yellow gem")',            FLAGS_GEM,     1,     5,     CAT_GEM                )
MISC(  <*>, GEM_VIOLETGLASS,  `String("worthless piece of violet glass")', `String("violet gem")',            FLAGS_GEM,     1,     5,     CAT_GEM                )
###################################################################################################################################################################
## Weapons                                                                                                                                                       ##
##############################################################################################################################################################################################
##      C   Identifier        Name                              UnID                    Flags                   Stack  Weight Category  Damage           Missiledam     Mran  Spd Hit Launch##
WEAPN( <|>, WEAPON_CLUB,      `String("club")',                 NULL,                   FLAGS_WEAPON,           1,     10,    CAT_WEAP, `range(4,1)',    `range(2,1)',  3,    1,  -1, 0      )
WEAPN( <|>, WEAPON_DAGGER,    `String("dagger")',               NULL,                   FLAGS_METALWEAPON,      1,     4,     CAT_WEAP, `range(5,1)',    `range(5,2)',  6,    1,  2,  0      )
WEAPN( <|>, WEAPON_STAFF,     `String("quarterstaff")',         NULL,                   FLAGS_WEAPON,           1,     10,    CAT_WEAP, `range(5,1)',    `range(2,1)',  3,    1,  1,  0      )
WEAPN( <|>, WEAPON_MACE,      `String("mace")',                 NULL,                   FLAGS_METALWEAPON,      1,     15,    CAT_WEAP, `range(6,2)',    `range(2,1)',  3,    1,  1,  0      )
WEAPN( <|>, WEAPON_SWORD,     `String("sword")',                NULL,                   FLAGS_METALWEAPON,      1,     15,    CAT_WEAP, `range(9,2)',    `range(4,1)',  3,    1,  1,  0      )
WEAPN( <|>, WEAPON_AXE,       `String("axe")',                  NULL,                   FLAGS_METALWEAPON,      1,     20,    CAT_WEAP, `range(10,1)',   `range(4,1)',  2,    1,  0,  0      )
##------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------##
WEAPN(<`)'>,WEAPON_BOW,       `String("bow")',                  NULL,                   FLAGS_LAUNCHER,         1,     13,    CAT_WEAP, `range(1,1)',    `range(1,1)',  9,    1,  2,  1      )
WEAPN(<`)'>,WEAPON_CROSSBOW,  `String("crossbow")',             NULL,                   FLAGS_LAUNCHER,         1,     1,     CAT_WEAP, `range(1,1)',    `range(1,1)',  11,   1,  3,  2      )
##------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------##
##############################################################################################################################################################################################
## Ammo                                                                                                                                                                                     ##
##############################################################################################################################################################################################
##      C   Identifier        Name                              UnID                    Flags                   Stack  Weight Category  Damage          To-hit  Range Launcher              ##
AMMO(  </>, AMMO_ARROW,       `String("arrow")',                NULL,                   FLAGS_AMMO,             15,    2,     CAT_AMMO, `range(6,1)',   0,      5,    1,                     )
AMMO(  </>, AMMO_BOLT,        `String("bolt")',                 NULL,                   FLAGS_AMMO,             15,    2,     CAT_AMMO, `range(8,2)',   0,      6,    2,                     )
##############################################################################################################################################################################################
## Armor                                                                                                                                                                                    ##
#################################################################################################################################################################################################################################
##      C   Identifier        Name                              UnID Name               Flags                   Stack  Weight Category    Slot Num  Effects                                                                    ##
ARMOR( <[>, ARMR_LEATHER,     `String("leather armor")',        NULL,                   FLAGS_ARMOR,            1,     20,    CAT_ARMR,   2,   2,   `STAT_ADDP(STAT_DV, 2)  STAT_ADDP(STAT_PV, 1)                            '  )
ARMOR( <[>, ARMR_CHAIN,       `String("chain armor")',          NULL,                   FLAGS_METALARMOR,       1,     20,    CAT_ARMR,   2,   3,   `STAT_ADDP(STAT_DV, 2)  STAT_ADDP(STAT_PV, 3) STAT_ADD(STAT_DEXTERITY,-1)'  )
ARMOR( <[>, ARMR_RING,        `String("ring armor")',           NULL,                   FLAGS_METALARMOR,       1,     20,    CAT_ARMR,   2,   3,   `STAT_ADDP(STAT_DV, 0)  STAT_ADDP(STAT_PV, 3) STAT_ADD(STAT_DEXTERITY,-1)'  )
ARMOR( <[>, ARMR_PLATE,       `String("plate armor")',          NULL,                   FLAGS_METALARMOR,       1,     20,    CAT_ARMR,   2,   3,   `STAT_ADDP(STAT_DV, -1) STAT_ADDP(STAT_PV, 5) STAT_ADD(STAT_DEXTERITY,-2)'  )
##-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------##
ARMOR( <[>, ARMR_CLOAK,       `String("cloak")',                NULL,                   FLAGS_ARMOR,            1,     5,     CAT_ARMR,   3,   1,   `STAT_ADDP(STAT_DV, 1)                                                   '  )
##-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------##
ARMOR( <[>, ARMR_CAP,         `String("leather cap")',          NULL,                   FLAGS_ARMOR,            1,     3,     CAT_ARMR,   4,   1,   `STAT_ADDP(STAT_DV, 1)                                                   '  )
ARMOR( <[>, ARMR_IRONHELM,    `String("iron helmet")',          NULL,                   FLAGS_METALARMOR,       1,     10,    CAT_ARMR,   4,   3,   `STAT_ADDP(STAT_DV, 1)  STAT_ADDP(STAT_PV, 1) STAT_ADD(STAT_DEXTERITY,-1)'  )
##-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------##
ARMOR( <[>, ARMR_SMSHIELD,    `String("small shield")',         NULL,                   FLAGS_METALARMOR,       1,     10,    CAT_ARMR,   5,   1,   `STAT_ADDP(STAT_DV, 2)                                                   '  )
ARMOR( <[>, ARMR_MDSHIELD,    `String("medium shield")',        NULL,                   FLAGS_METALARMOR,       1,     14,    CAT_ARMR,   5,   1,   `STAT_ADDP(STAT_DV, 3)                                                   '  )
ARMOR( <[>, ARMR_LGSHIELD,    `String("large shield")',         NULL,                   FLAGS_METALARMOR,       1,     20,    CAT_ARMR,   5,   2,   `STAT_ADDP(STAT_DV, 5)                        STAT_ADD(STAT_DEXTERITY,-1)'  )
##-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------##
ARMOR( <[>, ARMR_GLOVES,      `String("pair of gloves")',       NULL,                   FLAGS_ARMOR,            1,     2,     CAT_ARMR,   6,   1,   `STAT_ADDP(STAT_DV, 0)                                                   '  )
ARMOR( <[>, ARMR_GAUNTLETS,   `String("pair of gauntlets")',    NULL,                   FLAGS_METALARMOR,       1,     3,     CAT_ARMR,   6,   1,   `STAT_ADDP(STAT_DV, 1)                                                   '  )
##-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------##
ARMOR( <[>, ARMR_BOOTS,       `String("boots")',                NULL,                   FLAGS_ARMOR,            1,     4,     CAT_ARMR,   7,   2,   `STAT_ADDP(STAT_DV, 1)                        STAT_ADD(STAT_DEXTERITY,2) '  )
ARMOR( <[>, ARMR_SPEEDBOOTS,  `String("boots")',                `String("speed boots")',FLAGS_ARMOR,            1,     4,     CAT_ARMR,   7,   3,   `STAT_ADDP(STAT_DV, 2) STAT_ADD(STAT_SPEED,4) STAT_ADD(STAT_DEXTERITY,4) '  )
#################################################################################################################################################################################################################################
ARMOR( <=>, RING_STRENGTH,    `String("ring of strength")',     RINGNAMES_1,            FLAGS_RING,             1,     2,     CAT_RING,   8,   1,   `STAT_ADDP(STAT_STRENGTH,4)                                              '  )
ARMOR( <=>, RING_DEXTERITY,   `String("ring of dexterity")',    RINGNAMES_2,            FLAGS_RING,             1,     2,     CAT_RING,   8,   1,   `STAT_ADDP(STAT_DEXTERITY,4)                                             '  )
ARMOR( <=>, RING_TOUGHNESS,   `String("ring of toughness")',    RINGNAMES_3,            FLAGS_RING,             1,     2,     CAT_RING,   8,   1,   `STAT_ADDP(STAT_TOUGHNESS,4)                                             '  )
ARMOR( <=>, RING_WILLPOWER,   `String("ring of willpower")',    RINGNAMES_4,            FLAGS_RING,             1,     2,     CAT_RING,   8,   1,   `STAT_ADDP(STAT_WILLPOWER,4)                                             '  )
ARMOR( <=>, RING_MANA,        `String("ring of mana")',         RINGNAMES_5,            FLAGS_RING,             1,     2,     CAT_RING,   8,   1,   `STAT_ADDP(STAT_MANA,4)                                                  '  )
ARMOR( <=>, RING_PROTECTION,  `String("ring of protection")',   RINGNAMES_6,            FLAGS_RING,             1,     2,     CAT_RING,   8,   1,   `STAT_ADDP(STAT_PV, 3)                                                   '  )
ARMOR( <=>, RING_ILLUMINATION,`String("ring of illumination")', RINGNAMES_7,            FLAGS_RING,             1,     2,     CAT_RING,   8,   1,   `STAT_ADD(STAT_LIGHTRADIUS, 2)                                           '  )
ARMOR( <=>, RING_REGENERATION,`String("ring of regeneration")', RINGNAMES_8,            FLAGS_RING,             1,     2,     CAT_RING,   8,   1,   `STAT_ADD(STAT_REGEN, 2)                                                 '  )
ARMOR( <=>, RING_DAMAGE,      `String("ring of damage")',       RINGNAMES_9,            FLAGS_RING,             1,     2,     CAT_RING,   8,   2,   `STAT_ADDP(STAT_DAMAGE_MIN, 3)   STAT_ADDP(STAT_DAMAGE_MAX, 3)           '  )
#################################################################################################################################################################################################################################

