
define(INVITEM,
 `ushort $1
  ushort $2
  $3
  ushort 0  # next
  uchar  $4 # flags
  uchar  0  # padding
 ')

define(INVWEAPON,
 `schar $1 # plus
  uchar $2 # special
 ')

define(INVAMMO,
 `schar $1 # plus_hit
  schar $2 # plus_dam
 ')

define(INVARMOR,
 `schar $1 # plus
  uchar $2 # special
 ')

define(INVMAGIC,
 `padbytes(2)
 ')

define(INVBOOK,
 `schar $1
  padbytes(1)
 ')

define(ITEMFLAG_EQUIPPED,   1)
define(ITEMFLAG_CURSED,     2)
define(ITEMFLAG_IDENTIFIED, 4)

BEGIN_JUMPTAB(PLAYER_STARTING_INVENTORY, jt_class)
  JTENTRY(INVENTORY_FIGHTER,  1,  range(0,0))
  JTENTRY(INVENTORY_WIZARD,   1,  range(1,1))
  JTENTRY(INVENTORY_ARCHER,   1,  range(2,2))
END_JUMPTAB()

export INVENTORY_FIGHTER
uint 3
INVITEM(ITEM_WEAPON_MACE,   1,  INVWEAPON(0, 0),       eval(ITEMFLAG_EQUIPPED+ITEMFLAG_IDENTIFIED) )
INVITEM(ITEM_ARMR_SMSHIELD, 1,  INVARMOR(0, 0),        eval(ITEMFLAG_EQUIPPED+ITEMFLAG_IDENTIFIED) )
INVITEM(ITEM_FOOD_RATION,   2,  INVMAGIC(),            ITEMFLAG_IDENTIFIED                         )

export INVENTORY_WIZARD
uint 3
INVITEM(ITEM_WEAPON_STAFF,  1,  INVWEAPON(0, 0),       eval(ITEMFLAG_EQUIPPED+ITEMFLAG_IDENTIFIED) )
INVITEM(ITEM_BOOK_BOLT,     1,  INVBOOK(3),            ITEMFLAG_IDENTIFIED                         )
INVITEM(ITEM_FOOD_RATION,   2,  INVMAGIC(),            ITEMFLAG_IDENTIFIED                         )

export INVENTORY_ARCHER
uint 3
INVITEM(ITEM_WEAPON_BOW,    1,  INVWEAPON(0, 0),       eval(ITEMFLAG_EQUIPPED+ITEMFLAG_IDENTIFIED) )
INVITEM(ITEM_AMMO_ARROW,    30, INVAMMO(2,2),          eval(ITEMFLAG_EQUIPPED+ITEMFLAG_IDENTIFIED) )
INVITEM(ITEM_FOOD_RATION,   2,  INVMAGIC(),            ITEMFLAG_IDENTIFIED                         )

