include(data/maps.m4h)

divert(SEQUENCE_TABLES)
align 2
export MAPTABLE
#########################################################################################################
#   Name       Monsters        Flags  Diff  Links  Up         Down       Branch                        ##
MAP("",        MONSTERTABLE,   0,     0,    0,    `                                ', NULL              )
MAP("dlvl 1",  MONSTERTABLE,   0,     1,    2,    `LINKUP(0)  LINKDN(2)            ', MAP_NORMALDUNGEON )
MAP("dlvl 2",  MONSTERTABLE,   0,     2,    2,    `LINKUP(1)  LINKDN(3)            ', MAP_DUNGEON       )
MAP("dlvl 3",  MONSTERTABLE,   0,     3,    3,    `LINKUP(2)  LINKDN(4)  LINKDN(21)', MAP_DUNGEON       )
MAP("dlvl 4",  MONSTERTABLE,   0,     4,    2,    `LINKUP(3)  LINKDN(5)            ', MAP_DUNGEON       )
MAP("dlvl 5",  MONSTERTABLE,   0,     5,    2,    `LINKUP(4)  LINKDN(6)            ', MAP_DUNGEON       )
MAP("dlvl 6",  MONSTERTABLE,   0,     6,    2,    `LINKUP(5)  LINKDN(7)            ', MAP_DUNGEON       )
MAP("dlvl 7",  MONSTERTABLE,   0,     7,    2,    `LINKUP(6)  LINKDN(8)            ', MAP_DUNGEON       )
MAP("dlvl 8",  MONSTERTABLE,   0,     6,    3,    `LINKUP(7)  LINKDN(9)  LINKUP(24)', MAP_BIGROOM       )
MAP("dlvl 9",  MONSTERTABLE,   0,     9,    2,    `LINKUP(8)  LINKDN(10)           ', MAP_DUNGEON       )
MAP("dlvl 10", MONSTERTABLE,   0,     10,   2,    `LINKUP(9)  LINKDN(11)           ', MAP_DUNGEON       )
MAP("dlvl 11", MONSTERTABLE,   0,     11,   2,    `LINKUP(10) LINKDN(12)           ', MAP_DUNGEON       )
MAP("dlvl 12", MONSTERTABLE,   0,     12,   2,    `LINKUP(11) LINKDN(13)           ', MAP_DUNGEON       )
MAP("dlvl 13", MONSTERTABLE,   0,     13,   2,    `LINKUP(12) LINKDN(14)           ', MAP_DUNGEON       )
MAP("dlvl 14", MONSTERTABLE,   0,     14,   2,    `LINKUP(13) LINKDN(15)           ', MAP_DUNGEON       )
MAP("dlvl 15", MONSTERTABLE,   0,     15,   2,    `LINKUP(14) LINKDN(16)           ', MAP_DUNGEON       )
MAP("dlvl 16", MONSTERTABLE,   0,     16,   2,    `LINKUP(15) LINKDN(17)           ', MAP_DUNGEON       )
MAP("dlvl 17", MONSTERTABLE,   0,     17,   2,    `LINKUP(16) LINKDN(18)           ', MAP_DUNGEON       )
MAP("dlvl 18", MONSTERTABLE,   0,     18,   2,    `LINKUP(17) LINKDN(19)           ', MAP_HARDDUNGEON   )
MAP("dlvl 19", MONSTERTABLE,   0,     19,   2,    `LINKUP(18) LINKDN(20)           ', MAP_HARDDUNGEON   )
MAP("dlvl 20", MONSTERTABLE,   0,     25,   1,    `LINKUP(19)                      ', MAP_HARDDUNGEON   )
#AP("dlvl 20", MONSTERTABLE,   0,     20,   1,    `LINKUP(19)                      ', MAP_BOTTOM        )

MAP("mine 1",  MONSTERTABLE,   0,     5,    2,    `LINKUP(3)  LINKDN(22)           ', MAP_NORMALCAVE    )
MAP("mine 2",  MONSTERTABLE,   0,     6,    2,    `LINKUP(21) LINKDN(23)           ', MAP_NORMALCAVE    )
MAP("mine 3",  MONSTERTABLE,   0,     7,    2,    `LINKUP(22) LINKDN(24)           ', MAP_NORMALCAVE    )
MAP("mine 4",  MONSTERTABLE,   0,     8,    2,    `LINKUP(23) LINKDN(8)            ', MAP_NORMALCAVE    )


BEGIN_JUMPTAB(MAP_DUNGEON, jt_unconditional)
  JTENTRY(MAP_NORMALDUNGEON,  15, range(255,1))
  JTENTRY(MAP_PACKEDDUNGEON,  5,  range(255,1))
  #TENTRY(MAP_SOUPDUNGEON,    4,  range(255,1))
  JTENTRY(MAP_NORMALCAVE,     1,  range(255,1))
END_JUMPTAB()

BEGIN_JUMPTAB(MAP_HARDDUNGEON, jt_unconditional)
  JTENTRY(MAP_PACKEDDUNGEON,  1,  range(255,1))
  #TENTRY(MAP_SOUPDUNGEON,    1,  range(255,1))
  JTENTRY(MAP_NORMALCAVE,     1,  range(255,1))
END_JUMPTAB()

GEN_DUNGEON(NORMALDUNGEON,
  10,
  10)

GEN_DUNGEON(PACKEDDUNGEON,
  18,
  8)

#EN_DUNGEON(SOUPDUNGEON,
# 0,
# 90)

GEN_CAVE(NORMALCAVE,
  0)



BEGIN_JUMPTAB(MAP_BIGROOM, jt_unconditional)
  JTENTRY(MAP_BIGROOM_ONE,   1,  range(255,1))
  JTENTRY(MAP_BIGROOM_TWO,   1,  range(255,1))
  JTENTRY(MAP_BIGROOM_THREE, 1,  range(255,1))
END_JUMPTAB()



GEN_FMAP(BIGROOM_ONE,
  1,
  `################################################################
   ################################################################
   ################################################################
   #########..............................................#########
   #######..................................................#######
   ######....................................................######
   ######....................................................######
   ######....................................................######
   ######....................................................######
   ######....................................................######
   ######....................................................######
   ######....................................................######
   ######....................................................######
   ######....................................................######
   ######....................................................######
   #######..................................................#######
   #########..............................................#########
   ################################################################
   ################################################################
   ################################################################'
  )
GEN_FMAP(BIGROOM_TWO,
  1,
  `################################################################
   ################################################################
   ################################################################
   ######....................................................######
   #######..................................................#######
   #######..................................................#######
   ########................................................########
   ########................................................########
   ########................................................########
   ########................................................########
   ########................................................########
   ########................................................########
   ########................................................########
   ########................................................########
   #######..................................................#######
   #######..................................................#######
   ######....................................................######
   ################################################################
   ################################################################
   ################################################################'
  )
GEN_FMAP(BIGROOM_THREE,
  1,
  `################################################################
   ################################################################
   ############.......................................#############
   #########.............................................##########
   #######.................................................########
   ######...................................................#######
   ######...................................................#######
   #####.........###################################.........######
   #####........#####################################........######
   #####........#####################################........######
   #####........#####################################........######
   #####.........###################################.........######
   #####.....................................................######
   ######...................................................#######
   ######...................................................#######
   #######.................................................########
   #########.............................................##########
   ############.......................................#############
   ################################################################
   ################################################################'
  )

#EN_FMAP(BOTTOM,
# 0,
# `################################################################
#  #....###########################################################
#  #.<..########################X##################################
#  #....#.#.#.#.#.#.#.#.#.#~#~#~#~#.#~##........................###
#  #..............#.......#.~#~~##~##~~#........................###
#  ######.....#...#...#...#.#~####~#~~~.........................###
#  #####......#...#...#...#..#~#~#~###~#........................###
#  ######.....#...#...#...#...~~###~#~~#..........###...........###
#  #####......#...#...#...#....#~#~#~#~#.........##.##..........###
#  ######.######..###.######..##########.........#...X..........###
#  #####......##..##..##..##.###..#..##..........##.##..........###
#  ######.....#...#.......#.......#...#...........###...........###
#  #####......#...#...#...#...#...#...#.........................###
#  ######.....#...#...#...#...#...#...#.........................###
#  #####......#...#...#...#...#...#...#.........................###
#  ######.....#.......#.......#.......#.........................###
#  #####..#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.........................###
#  ################################################################
#  ################################################################
#  ################################################################'
# )
