
#if TARGET == T_TI89
#define KEY_SOUTHWEST     '1'
#define KEY_SOUTH         '2'
#define KEY_SOUTHEAST     '3'
#define KEY_WEST          '4'
#define KEY_WAIT          '5'
#define KEY_EAST          '6'
#define KEY_NORTHWEST     '7'
#define KEY_NORTH         '8'
#define KEY_NORTHEAST     '9'
#define KEY_STAIR         '0'
#define KEY_SCROLLING
#define KEY_SCROLL_RIGHT  344
#define KEY_SCROLL_DOWN   340
#define KEY_SCROLL_UP     337
#define KEY_SCROLL_LEFT   338
#define KEY_INVENTORY     '|'
#define KEY_WEAR          '('
#define KEY_TAKEOFF       't'
#define KEY_DROP          ')'
#define KEY_PICKUP        ','
#define KEY_CAST          'y'
#define KEY_USE           'z'
#define KEY_THROW         '/'
#define KEY_FIRE          'x'
#define KEY_SEARCH        '^'
#define KEY_ESC           264
#define KEY_SAVEGAME      267
#define KEY_F1            268
#define KEY_F2            269
#define KEY_F3            270
#define KEY_F4            271
#define KEY_F5            272
#define KEY_KICK          '*'
#define KEY_RUN           257
#define KEY_OPENDOOR      '-'
#define KEY_CLOSEDOOR     '+'
#define KEY_ACKNOWLEDGE   13
#define KEY_CONFIRM       13
#define KEY_DISCOVERIES   278
#endif

#if TARGET == T_TI92P
#define KEY_SOUTHWEST     '1'
#define KEY_SOUTH         '2'
#define KEY_SOUTHEAST     '3'
#define KEY_WEST          '4'
#define KEY_WAIT          '5'
#define KEY_EAST          '6'
#define KEY_NORTHWEST     '7'
#define KEY_NORTH         '8'
#define KEY_NORTHEAST     '9'
#define KEY_STAIR         '0'
#define KEY_SCROLLING
#define KEY_SCROLL_RIGHT  340
#define KEY_SCROLL_DOWN   344
#define KEY_SCROLL_UP     338
#define KEY_SCROLL_LEFT   337
#define KEY_INVENTORY     'i'
#define KEY_WEAR          '('
#define KEY_TAKEOFF       't'
#define KEY_DROP          ')'
#define KEY_PICKUP        ','
#define KEY_CAST          260
#define KEY_USE           261
#define KEY_THROW         '/'
#define KEY_FIRE          259
#define KEY_SEARCH        '^'
#define KEY_ESC           264
#define KEY_SAVEGAME      267
#define KEY_F1            268
#define KEY_F2            269
#define KEY_F3            270
#define KEY_F4            271
#define KEY_F5            272
#define KEY_KICK          '*'
#define KEY_RUN           257
#define KEY_OPENDOOR      '-'
#define KEY_CLOSEDOOR     '+'
#define KEY_ACKNOWLEDGE   13
#define KEY_CONFIRM       13
#define KEY_DISCOVERIES   'd'
#endif

#ifdef WINDOWS
#define KEY_SOUTHWEST     '1'
#define KEY_SOUTH         '2'
#define KEY_SOUTHEAST     '3'
#define KEY_WEST          '4'
#define KEY_WAIT          '5'
#define KEY_EAST          '6'
#define KEY_NORTHWEST     '7'
#define KEY_NORTH         '8'
#define KEY_NORTHEAST     '9'
#define KEY_STAIR         '0'
#define KEY_SCROLL_RIGHT  344
#define KEY_SCROLL_DOWN   340
#define KEY_SCROLL_UP     337
#define KEY_SCROLL_LEFT   338
#define KEY_INVENTORY     'i'
#define KEY_WEAR          'w'
#define KEY_TAKEOFF       't'
#define KEY_DROP          'd'
#define KEY_PICKUP        ','
#define KEY_CAST          'Z'
#define KEY_USE           'z'
#define KEY_THROW         'v'
#define KEY_FIRE          'f'
#define KEY_SEARCH        's'
#define KEY_F1            59
#define KEY_F2            60
#define KEY_F3            61
#define KEY_F4            62
#define KEY_F5            63
#define KEY_KICK          'k'
#define KEY_RUN           'g'
#define KEY_OPENDOOR      'o'
#define KEY_CLOSEDOOR     'c'
#define KEY_ESC           27
#define KEY_SAVEGAME      'S'
#define KEY_ACKNOWLEDGE   13
#define KEY_CONFIRM       13
#define KEY_DISCOVERIES  '\\'
#endif

#ifdef UNIX
#define KEY_SOUTHWEST     '1'
#define KEY_SOUTH         '2'
#define KEY_SOUTHEAST     '3'
#define KEY_WEST          '4'
#define KEY_WAIT          '5'
#define KEY_EAST          '6'
#define KEY_NORTHWEST     '7'
#define KEY_NORTH         '8'
#define KEY_NORTHEAST     '9'
#define KEY_STAIR         '0'
#define KEY_INVENTORY     'i'
#define KEY_WEAR          'w'
#define KEY_TAKEOFF       't'
#define KEY_DROP          'd'
#define KEY_PICKUP        ','
#define KEY_CAST          'Z'
#define KEY_USE           'z'
#define KEY_THROW         'v'
#define KEY_FIRE          'f'
#define KEY_SEARCH        's'
#define KEY_F1            KEY_F(1)
#define KEY_F2            KEY_F(2)
#define KEY_F3            KEY_F(3)
#define KEY_F4            KEY_F(4)
#define KEY_F5            KEY_F(5)
#define KEY_KICK          'k'
#define KEY_RUN           'g'
#define KEY_OPENDOOR      'o'
#define KEY_CLOSEDOOR     'c'
#define KEY_ESC           'Q'
#define KEY_SAVEGAME      'S'
#define KEY_ACKNOWLEDGE   10
#define KEY_CONFIRM       10
#define KEY_DISCOVERIES  '\\'
#endif
